## org.apache.bcel.verifier.exc
Class InvalidMethodException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.apache.bcel.verifier.exc.InvalidMethodException

All Implemented Interfaces:
  java.io.Serializable

public class InvalidMethodException
extends java.lang.RuntimeException

Instances of this class are thrown by BCEL's class file verifier "JustIce" when the verification of a method is requested that does not exist.

Version:
  $Id: InvalidMethodException.java,v 1.2 2002/06/13 09:32:50 enver Exp $
Author:
  Enver Haase
See Also:
  Serialized Form

Constructor Summary
`InvalidMethodException(java.lang.String message)` Constructs an InvalidMethodException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidMethodException

    public InvalidMethodException(java.lang.String message)

  Constructs an InvalidMethodException with the specified detail message.

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.